<?php
    if (!defined("PHORUM_ADMIN")) return;
    
	require_once("./mods/solr_search/defaults.php");
	
    // save settings
    if (count($_POST))
    {
        $PHORUM["mod_solr_search"] = array(
            "hostname"       => $_POST["hostname"],
            "port"    		=> $_POST["port"]
        );

        if (!phorum_db_update_settings(array(
            "mod_solr_search" => $PHORUM["mod_solr_search"]
        ))) {
            phorum_admin_error("Updating the settings in the database failed.");
        } else {
            phorum_admin_okmsg("Settings updated");
        }
    }

    ?>
    <div style="font-size: xx-large; font-weight: bold">Solr Search Module</div>
     This module uses the solr fulltext search engine to gather the results of the phorum-search.<br />
     On this page you can set the hostname and port of your solr search daemon.

    <br style="clear:both" />
    <?php

    include_once "./include/admin/PhorumInputForm.php";
    $frm = new PhorumInputForm ("", "post", "Save");
    $frm->hidden("module", "modsettings");
    $frm->hidden("mod", "solr_search");

    $frm->addbreak("Hostname and port");

    $row = $frm->addrow("What is the hostname of the solr daemon? (e.g. 127.0.0.1)$warn", $frm->text_box("hostname", $PHORUM["mod_solr_search"]["hostname"], 30));
    $row = $frm->addrow("What is the port of the solr daemon? (e.g. 8983)$warn", $frm->text_box("port", $PHORUM["mod_solr_search"]["port"], 30));

    $frm->show();
?>



